com.pixelmed.dicom

## Class ValueRepresentation

- java.lang.Object
- - com.pixelmed.dicom.ValueRepresentation

    public class ValueRepresentation
    extends java.lang.Object

Utilities to support the concept of the DICOM Value Representation (VR), including two byte arrays for each VR, and tester methods that determine whether or not a particular two byte array is a particular type of VR.

### Field Summary

Fields
`static byte[]` `AE`
`static byte[]` `AS`
`static byte[]` `AT`
`static byte[]` `CS`
`static byte[]` `DA`
`static byte[]` `DS`
`static byte[]` `DT`
`static byte[]` `FD`
`static byte[]` `FL`
`static byte[]` `IS`
`static byte[]` `LO`
`static byte[]` `LT`
`static byte[]` `OB`
`static byte[]` `OD`
`static byte[]` `OF`
`static byte[]` `OW`
`static byte[]` `OX`
`static byte[]` `PN`
`static byte[]` `SH`
`static byte[]` `SL`
`static byte[]` `SQ`
`static byte[]` `SS`
`static byte[]` `ST`
`static byte[]` `TM`
`static byte[]` `UI`
`static byte[]` `UL`
`static byte[]` `UN`
`static byte[]` `US`
`static byte[]` `UT`
`static byte[]` `XO`
`static byte[]` `XS`

### Constructor Summary

Constructors
Constructor and Description
`ValueRepresentation()`

### Method Summary

Methods
`static java.lang.String` `getAsString(byte[] vr)`
`static int` `getWordLengthOfValueAffectedByEndianness(byte[] vr)` Get the length of the "word" corresponding to an individual value for this VR, such as may be needed when swapping the endianness of values.
`static boolean` `isAffectedBySpecificCharacterSet(byte[] vr)`
`static boolean` `isAgeStringVR(byte[] vr)`
`static boolean` `isApplicationEntityVR(byte[] vr)`
`static boolean` `isAttributeTagVR(byte[] vr)`
`static boolean` `isCodeStringVR(byte[] vr)`
`static boolean` `isDateTimeVR(byte[] vr)`
`static boolean` `isDateVR(byte[] vr)`
`static boolean` `isDecimalStringVR(byte[] vr)`
`static boolean` `isFloatDoubleVR(byte[] vr)`
`static boolean` `isFloatSingleVR(byte[] vr)`
`static boolean` `isIntegerStringVR(byte[] vr)`
`static boolean` `isLongStringVR(byte[] vr)`
`static boolean` `isLongTextVR(byte[] vr)`
`static boolean` `isOtherByteOrWordVR(byte[] vr)`
`static boolean` `isOtherByteVR(byte[] vr)`
`static boolean` `isOtherDoubleVR(byte[] vr)`
`static boolean` `isOtherFloatVR(byte[] vr)`
`static boolean` `isOtherUnspecifiedVR(byte[] vr)`
`static boolean` `isOtherWordVR(byte[] vr)`
`static boolean` `isPersonNameVR(byte[] vr)`
`static boolean` `isSequenceVR(byte[] vr)`
`static boolean` `isShortStringVR(byte[] vr)`
`static boolean` `isShortTextVR(byte[] vr)`
`static boolean` `isShortValueLengthVR(byte[] vr)`
`static boolean` `isSignedLongVR(byte[] vr)`
`static boolean` `isSignedShortVR(byte[] vr)`
`static boolean` `isTimeVR(byte[] vr)`
`static boolean` `isUniqueIdentifierVR(byte[] vr)`
`static boolean` `isUnknownVR(byte[] vr)`
`static boolean` `isUnlimitedTextVR(byte[] vr)`
`static boolean` `isUnsignedLongVR(byte[] vr)`
`static boolean` `isUnsignedShortVR(byte[] vr)`
`static boolean` `isUnspecifiedShortOrOtherWordVR(byte[] vr)`
`static boolean` `isUnspecifiedShortVR(byte[] vr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AE

    public static byte[] AE

#### AS

    public static byte[] AS

#### AT

    public static byte[] AT

#### CS

    public static byte[] CS

#### DA

    public static byte[] DA

#### DS

    public static byte[] DS

#### DT

    public static byte[] DT

#### FL

    public static byte[] FL

#### FD

    public static byte[] FD

#### IS

    public static byte[] IS

#### LO

    public static byte[] LO

#### LT

    public static byte[] LT

#### OB

    public static byte[] OB

#### OD

    public static byte[] OD

#### OF

    public static byte[] OF

#### OW

    public static byte[] OW

#### OX

    public static byte[] OX

#### PN

    public static byte[] PN

#### SH

    public static byte[] SH

#### SL

    public static byte[] SL

#### SQ

    public static byte[] SQ

#### SS

    public static byte[] SS

#### ST

    public static byte[] ST

#### TM

    public static byte[] TM

#### UI

    public static byte[] UI

#### UL

    public static byte[] UL

#### UN

    public static byte[] UN

#### US

    public static byte[] US

#### UT

    public static byte[] UT

#### XS

    public static byte[] XS

#### XO

    public static byte[] XO

### Constructor Detail

#### ValueRepresentation

    public ValueRepresentation()

### Method Detail

#### isApplicationEntityVR

    public static final boolean isApplicationEntityVR(byte[] vr)

Parameters:
  `vr` -

#### isAgeStringVR

    public static final boolean isAgeStringVR(byte[] vr)

Parameters:
  `vr` -

#### isAttributeTagVR

    public static final boolean isAttributeTagVR(byte[] vr)

Parameters:
  `vr` -

#### isCodeStringVR

    public static final boolean isCodeStringVR(byte[] vr)

Parameters:
  `vr` -

#### isDateVR

    public static final boolean isDateVR(byte[] vr)

Parameters:
  `vr` -

#### isDateTimeVR

    public static final boolean isDateTimeVR(byte[] vr)

Parameters:
  `vr` -

#### isDecimalStringVR

    public static final boolean isDecimalStringVR(byte[] vr)

Parameters:
  `vr` -

#### isFloatDoubleVR

    public static final boolean isFloatDoubleVR(byte[] vr)

Parameters:
  `vr` -

#### isFloatSingleVR

    public static final boolean isFloatSingleVR(byte[] vr)

Parameters:
  `vr` -

#### isIntegerStringVR

    public static final boolean isIntegerStringVR(byte[] vr)

Parameters:
  `vr` -

#### isLongStringVR

    public static final boolean isLongStringVR(byte[] vr)

Parameters:
  `vr` -

#### isLongTextVR

    public static final boolean isLongTextVR(byte[] vr)

Parameters:
  `vr` -

#### isOtherByteVR

    public static final boolean isOtherByteVR(byte[] vr)

Parameters:
  `vr` -

#### isOtherDoubleVR

    public static final boolean isOtherDoubleVR(byte[] vr)

Parameters:
  `vr` -

#### isOtherFloatVR

    public static final boolean isOtherFloatVR(byte[] vr)

Parameters:
  `vr` -

#### isOtherWordVR

    public static final boolean isOtherWordVR(byte[] vr)

Parameters:
  `vr` -

#### isOtherUnspecifiedVR

    public static final boolean isOtherUnspecifiedVR(byte[] vr)

Parameters:
  `vr` -

#### isOtherByteOrWordVR

    public static final boolean isOtherByteOrWordVR(byte[] vr)

Parameters:
  `vr` -

#### isPersonNameVR

    public static final boolean isPersonNameVR(byte[] vr)

Parameters:
  `vr` -

#### isShortStringVR

    public static final boolean isShortStringVR(byte[] vr)

Parameters:
  `vr` -

#### isSignedLongVR

    public static final boolean isSignedLongVR(byte[] vr)

Parameters:
  `vr` -

#### isSequenceVR

    public static final boolean isSequenceVR(byte[] vr)

Parameters:
  `vr` -

#### isSignedShortVR

    public static final boolean isSignedShortVR(byte[] vr)

Parameters:
  `vr` -

#### isShortTextVR

    public static final boolean isShortTextVR(byte[] vr)

Parameters:
  `vr` -

#### isTimeVR

    public static final boolean isTimeVR(byte[] vr)

Parameters:
  `vr` -

#### isUniqueIdentifierVR

    public static final boolean isUniqueIdentifierVR(byte[] vr)

Parameters:
  `vr` -

#### isUnsignedLongVR

    public static final boolean isUnsignedLongVR(byte[] vr)

Parameters:
  `vr` -

#### isUnknownVR

    public static final boolean isUnknownVR(byte[] vr)

Parameters:
  `vr` -

#### isUnsignedShortVR

    public static final boolean isUnsignedShortVR(byte[] vr)

Parameters:
  `vr` -

#### isUnspecifiedShortVR

    public static final boolean isUnspecifiedShortVR(byte[] vr)

Parameters:
  `vr` -

#### isUnspecifiedShortOrOtherWordVR

    public static final boolean isUnspecifiedShortOrOtherWordVR(byte[] vr)

Parameters:
  `vr` -

#### isUnlimitedTextVR

    public static final boolean isUnlimitedTextVR(byte[] vr)

Parameters:
  `vr` -

#### isShortValueLengthVR

    public static final boolean isShortValueLengthVR(byte[] vr)

Parameters:
  `vr` -

#### isAffectedBySpecificCharacterSet

    public static final boolean isAffectedBySpecificCharacterSet(byte[] vr)

Parameters:
  `vr` -

#### getAsString

    public static final java.lang.String getAsString(byte[] vr)

Parameters:
  `vr` -

#### getWordLengthOfValueAffectedByEndianness

    public static final int getWordLengthOfValueAffectedByEndianness(byte[] vr)

Get the length of the "word" corresponding to an individual value for this VR, such as may be needed when swapping the endianness of values.

Parameters:
  `vr` -